Bug 97346 - [PATCH] Add support for Validity Sensors proprietary driver (VFS471, VFS491, VFS495)
Summary: [PATCH] Add support for Validity Sensors proprietary driver (VFS471, VFS491, ...
Status: RESOLVED WONTFIX
Alias: None
Product: libfprint
Classification: Unclassified
Component: libfprint (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: libfprint-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-14 23:26 UTC by Denis Khoroshev
Modified: 2016-10-11 16:58 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Patch for Validity Sensors driver (15.88 KB, patch)
2016-08-14 23:26 UTC, Denis Khoroshev
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Khoroshev 2016-08-14 23:26:11 UTC
Created attachment 125783 [details] [review]
Patch for Validity Sensors driver

This patch adds support for Validity Sensors proprietary driver. Proprietary driver provides dynamic library libvfsFprintWrapper.so for interaction.

The original patch found in https://github.com/Gnate/libfprint/tree/master/libfprint/drivers/validity

Tested with Validity-Sensor-Setup-4.5-118.00.x86_64. Driver provides support for sensors VFS471, VFS491 and VFS495.
Comment 1 Vasily Khoruzhick 2016-08-15 05:07:47 UTC
Hey Denis,

Thanks for your patch, but it won't be merged into libfprint, since it's a wrapper for proprietary library.

Feel free to develop an opensource driver for your device and submit it for review.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.